<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'college',

    /*
     * Package.
     */
    'package'   => 'admission',

    /*
     * Modules.
     */
    'modules'   => ['admission'],

    
    'admission'       => [
        'model' => [
            'model'                 => \College\Admission\Models\Admission::class,
            'table'                 => 'admissions',
            'presenter'             => \College\Admission\Repositories\Presenter\AdmissionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'initials',  'gender',  'age',  'dob',  'religion',  'caste',  'qualifying_exam',  'year_of_passing',  'institution',  'parent_name',  'relationship',  'phone',  'mobile',  'occupation',  'address',  'main_subject',  'marks',  'course',  'sslc_details',  'medium_of_instruction',  'second_laguage',  'photo',  'files',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'admission/admission',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'College',
            'package'   => 'Admission',
            'module'    => 'Admission',
        ],

    ],
];
