<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAdmissionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: admissions
         */
        Schema::create('admissions', function ($table) {
            $table->increments('id');
            $table->string('slug', 255)->nullable();
            $table->string('name', 255)->nullable();
            $table->string('initials', 100)->nullable();
            $table->string('gender', 50)->nullable();
            $table->integer('age')->nullable();
            $table->date('dob')->nullable();
            $table->string('religion', 100)->nullable();
            $table->string('caste', 100)->nullable();
            $table->string('qualifying_exam', 255)->nullable();
            $table->date('year_of_passing')->nullable();
            $table->string('institution', 255)->nullable();
            $table->string('parent_name', 255)->nullable();
            $table->string('relationship', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('occupation', 100)->nullable();
            $table->text('address')->nullable();
            $table->string('main_subject', 100)->nullable();
            $table->longText('marks')->nullable();
            $table->string('course', 255)->nullable();
            $table->text('sslc_details')->nullable();
            $table->string('medium_of_instruction', 255)->nullable();
            $table->string('second_laguage', 255)->nullable();
            $table->text('photo')->nullable();
            $table->longText('files')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('admissions');
    }
}
