Lavalite package that provides admission management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `college/admission`.

    "college/admission": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    College\Admission\Providers\AdmissionServiceProvider::class,

And also add it to alias

    'Admission'  => College\Admission\Facades\Admission::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=College\\AdmissionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="College\Admission\Providers\AdmissionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="College\Admission\Providers\AdmissionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="College\Admission\Providers\AdmissionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/admission/{modulename}

**User**

    http://path-to-route-folder/user/admission/{modulename}

**Public**

    http://path-to-route-folder/admissions


### API endpoints

**List**

    http://path-to-route-folder/api/user/admission/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/admission/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/admission/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/admission/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/admission/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/admission/{modulename}/{slug}
    METHOD: GET