<?php

// API routes  for admission
Route::prefix('{guard}/admission')->group(function () {
    Route::get('admission/form/{element}', 'AdmissionAPIController@form');
    Route::resource('admission', 'AdmissionAPIController');
});

// Public routes for admission
Route::get('admissions/', 'AdmissionPublicController@index');
Route::get('admissions/{slug?}', 'AdmissionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for admissions
            Route::prefix('{guard}/admission')->group(function () {
                Route::get('admission/form/{element}', 'AdmissionAPIController@form');
                Route::apiResource('admission', 'AdmissionAPIController');
            });
            // Public routes for admissions
            Route::get('admission/Admission', 'AdmissionPublicController@getAdmission');
        }
    );
}

