<?php

// web routes  for admission
Route::prefix('{guard}/admission')->group(function () {
    Route::resource('admission', 'AdmissionResourceController');
});

// Public routes for admission
Route::get('admissions/', 'AdmissionPublicController@index');
Route::get('admissions/{slug?}', 'AdmissionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AdmissionResourceController');
            });
            // Public routes for pages
            Route::get('admissions/', 'AdmissionPublicController@index');
            Route::get('admissions/{slug?}', 'AdmissionPublicController@show');
        }
    );
}

