<?php

namespace College\Admission;

use User;

class Admission
{
    /**
     * $admission object.
     */
    protected $admission;

    /**
     * Constructor.
     */
    public function __construct(\College\Admission\Interfaces\AdmissionRepositoryInterface $admission)
    {
        $this->admission = $admission;
    }

    /**
     * Returns count of admission.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.admission.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->admission->pushCriteria(new \Litepie\College\Repositories\Criteria\AdmissionUserCriteria());
        }

        $admission = $this->admission->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('admission::' . $view, compact('admission'))->render();
    }
}
