<?php

namespace College\Admission\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdmissionTransformer extends TransformerAbstract
{
    public function transform(\College\Admission\Models\Admission $admission)
    {
        return [
            'id'                => $admission->getRouteKey(),
            'key'               => [
                'public'    => $admission->getPublicKey(),
                'route'     => $admission->getRouteKey(),
            ], 
            'slug'              => $admission->slug,
            'name'              => $admission->name,
            'initials'          => $admission->initials,
            'gender'            => $admission->gender,
            'age'               => $admission->age,
            'dob'               => $admission->dob,
            'religion'          => $admission->religion,
            'caste'             => $admission->caste,
            'qualifying_exam'   => $admission->qualifying_exam,
            'year_of_passing'   => $admission->year_of_passing,
            'institution'       => $admission->institution,
            'parent_name'       => $admission->parent_name,
            'relationship'      => $admission->relationship,
            'phone'             => $admission->phone,
            'mobile'            => $admission->mobile,
            'occupation'        => $admission->occupation,
            'address'           => $admission->address,
            'main_subject'      => $admission->main_subject,
            'marks'             => $admission->marks,
            'course'            => $admission->course,
            'sslc_details'      => $admission->sslc_details,
            'medium_of_instruction' => $admission->medium_of_instruction,
            'second_laguage'    => $admission->second_laguage,
            'photo'             => $admission->photo,
            'files'             => $admission->files,
            'user_id'           => $admission->user_id,
            'user_type'         => $admission->user_type,
            'deleted_at'        => $admission->deleted_at,
            'url'               => [
                'public'    => trans_url('admission/'.$admission->getPublicKey()),
                'user'      => guard_url('admission/admission/'.$admission->getRouteKey()),
            ], 
            'status'            => trans('app.'.$admission->status),
            'created_at'        => format_date($admission->created_at),
            'updated_at'        => format_date($admission->updated_at),
        ];
    }
}